Package twisted :: Package conch :: Module identity

[show private | hide private]
[frames | no frames]

## Module twisted.conch.identity

Identity for Conch. This adds the method validatePublicKey which checks to see if a public key is a valid identifier for a user.

This module is unstable.

Maintainer: Paul Swartz<mailto:z3p@twistedmatrix.com>

Classes
`ConchIdentity` |
`OpenSSHConchIdentity` |

Function Summary
| `verifyCryptedPassword(crypted, pw)`

Variable Summary
`FakeModule` | `md5_crypt`
`FakeModule` | `shadow`

Variable Details

### md5_crypt

  Type:
    `FakeModule`
  Value:

        <Fake md5_crypt>

### shadow

  Type:
    `FakeModule`
  Value:

        <Fake shadow>

Generated by Epydoc 1.1 on Thu May 8 13:18:18 2003 | http://epydoc.sf.net